Search APC
curl --request GET \
--url https://api.dev.impactu.colav.co/apc/searchimport requests
url = "https://api.dev.impactu.colav.co/apc/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/apc/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/apc/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/apc/search"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/apc/search")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/apc/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodywork_doi,work_title,source_name,source_apc_value,source_apc_currency,work_apc_value,work_apc_currency
,MODELO DE SISTEMA DE GESTIÓN DE SEGURIDAD DE LA INFORMACIÓN BASADO EN LA NORMA NTC/ISO IEC 27001 PARA INSTITUCIONES DE EDUCACIÓN BÁSICA DE LA COMUNA UNIVERSIDAD DE LA CIUDAD DE PEREIRA,,,,,
,ESTRATEGIAS PARA LA TOMA DE DECISIONES EN EL SECTOR SALUD: CASO ?SIME E.U?,,,,,
{"error": "Without keywords only the first 10 pages (max 250 works each) can be exported."}
APC
Search APC
Exports a CSV with APC data of the bibliographic products that match a text search.
GET
/
apc
/
search
Search APC
curl --request GET \
--url https://api.dev.impactu.colav.co/apc/searchimport requests
url = "https://api.dev.impactu.colav.co/apc/search"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.dev.impactu.colav.co/apc/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dev.impactu.colav.co/apc/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dev.impactu.colav.co/apc/search"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dev.impactu.colav.co/apc/search")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dev.impactu.colav.co/apc/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodywork_doi,work_title,source_name,source_apc_value,source_apc_currency,work_apc_value,work_apc_currency
,MODELO DE SISTEMA DE GESTIÓN DE SEGURIDAD DE LA INFORMACIÓN BASADO EN LA NORMA NTC/ISO IEC 27001 PARA INSTITUCIONES DE EDUCACIÓN BÁSICA DE LA COMUNA UNIVERSIDAD DE LA CIUDAD DE PEREIRA,,,,,
,ESTRATEGIAS PARA LA TOMA DE DECISIONES EN EL SECTOR SALUD: CASO ?SIME E.U?,,,,,
{"error": "Without keywords only the first 10 pages (max 250 works each) can be exported."}
Query parameters
string
Text to filter the results. With
keywords, every matching product is
exported, without pagination.integer
default:"10"
Only without
keywords: rows per page, from 1 to 250.integer
default:"1"
Only without
keywords: page number, from 1 to 10. Page 11 onwards
returns 400.This endpoint returns a CSV file (
Content-Type: text/csv), not JSON. The name of the downloaded
file is search.csv.Response
The response body is a CSV file with the following columns:| Column | Description |
|---|---|
work_doi | DOI of the product. |
work_title | Title of the product. |
source_name | Name of the journal or source. |
source_apc_value | APC cost published by the journal. |
source_apc_currency | Currency of the journal’s cost. |
work_apc_value | APC cost actually paid for this product. |
work_apc_currency | Currency of the actual payment. |
The cost (
source_apc_value, work_apc_value) and currency fields can be
empty when the information is not available in the database.work_doi,work_title,source_name,source_apc_value,source_apc_currency,work_apc_value,work_apc_currency
,MODELO DE SISTEMA DE GESTIÓN DE SEGURIDAD DE LA INFORMACIÓN BASADO EN LA NORMA NTC/ISO IEC 27001 PARA INSTITUCIONES DE EDUCACIÓN BÁSICA DE LA COMUNA UNIVERSIDAD DE LA CIUDAD DE PEREIRA,,,,,
,ESTRATEGIAS PARA LA TOMA DE DECISIONES EN EL SECTOR SALUD: CASO ?SIME E.U?,,,,,
{"error": "Without keywords only the first 10 pages (max 250 works each) can be exported."}